package com.emr.entity.emrPdfWaterSet;

import java.io.Serializable;

public class EmrPdfWaterSet implements Serializable {
    private Integer id;

    private Short effective;

    private Short upOrUnder;

    private Float transparent;

    private String text;

    private Integer textX;

    private Integer textY;

    private String textColor;

    private Integer textSize;

    private Integer textRotation;

    private Short isImg;

    private String imgFile;

    private Integer imgWidth;

    private Integer imgHeight;

    private Integer imgX;

    private Integer imgY;

    private String uniqueId;

    private Short downloadEffective;

    private Short downloadIsImg;

    private Short printEffective;

    private Short printIsImg;

    private Short userEffective;

    public Short getUserEffective() {
        return userEffective;
    }

    public void setUserEffective(Short userEffective) {
        this.userEffective = userEffective;
    }

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Short getEffective() {
        return effective;
    }

    public void setEffective(Short effective) {
        this.effective = effective;
    }

    public Short getUpOrUnder() {
        return upOrUnder;
    }

    public void setUpOrUnder(Short upOrUnder) {
        this.upOrUnder = upOrUnder;
    }

    public Float getTransparent() {
        return transparent;
    }

    public void setTransparent(Float transparent) {
        this.transparent = transparent;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text == null ? null : text.trim();
    }

    public Integer getTextX() {
        return textX;
    }

    public void setTextX(Integer textX) {
        this.textX = textX;
    }

    public Integer getTextY() {
        return textY;
    }

    public void setTextY(Integer textY) {
        this.textY = textY;
    }

    public String getTextColor() {
        return textColor;
    }

    public void setTextColor(String textColor) {
        this.textColor = textColor == null ? null : textColor.trim();
    }

    public Integer getTextSize() {
        return textSize;
    }

    public void setTextSize(Integer textSize) {
        this.textSize = textSize;
    }

    public Integer getTextRotation() {
        return textRotation;
    }

    public void setTextRotation(Integer textRotation) {
        this.textRotation = textRotation;
    }

    public Short getIsImg() {
        return isImg;
    }

    public void setIsImg(Short isImg) {
        this.isImg = isImg;
    }

    public String getImgFile() {
        return imgFile;
    }

    public void setImgFile(String imgFile) {
        this.imgFile = imgFile == null ? null : imgFile.trim();
    }

    public Integer getImgWidth() {
        return imgWidth;
    }

    public void setImgWidth(Integer imgWidth) {
        this.imgWidth = imgWidth;
    }

    public Integer getImgHeight() {
        return imgHeight;
    }

    public void setImgHeight(Integer imgHeight) {
        this.imgHeight = imgHeight;
    }

    public Integer getImgX() {
        return imgX;
    }

    public void setImgX(Integer imgX) {
        this.imgX = imgX;
    }

    public Integer getImgY() {
        return imgY;
    }

    public void setImgY(Integer imgY) {
        this.imgY = imgY;
    }

    public String getUniqueId() {
        return uniqueId;
    }

    public void setUniqueId(String uniqueId) {
        this.uniqueId = uniqueId == null ? null : uniqueId.trim();
    }

    public Short getDownloadEffective() {
        return downloadEffective;
    }

    public void setDownloadEffective(Short downloadEffective) {
        this.downloadEffective = downloadEffective;
    }

    public Short getDownloadIsImg() {
        return downloadIsImg;
    }

    public void setDownloadIsImg(Short downloadIsImg) {
        this.downloadIsImg = downloadIsImg;
    }

    public Short getPrintEffective() {
        return printEffective;
    }

    public void setPrintEffective(Short printEffective) {
        this.printEffective = printEffective;
    }

    public Short getPrintIsImg() {
        return printIsImg;
    }

    public void setPrintIsImg(Short printIsImg) {
        this.printIsImg = printIsImg;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", effective=").append(effective);
        sb.append(", upOrUnder=").append(upOrUnder);
        sb.append(", transparent=").append(transparent);
        sb.append(", text=").append(text);
        sb.append(", textX=").append(textX);
        sb.append(", textY=").append(textY);
        sb.append(", textColor=").append(textColor);
        sb.append(", textSize=").append(textSize);
        sb.append(", textRotation=").append(textRotation);
        sb.append(", isImg=").append(isImg);
        sb.append(", imgFile=").append(imgFile);
        sb.append(", imgWidth=").append(imgWidth);
        sb.append(", imgHeight=").append(imgHeight);
        sb.append(", imgX=").append(imgX);
        sb.append(", imgY=").append(imgY);
        sb.append(", uniqueId=").append(uniqueId);
        sb.append(", downloadEffective=").append(downloadEffective);
        sb.append(", downloadIsImg=").append(downloadIsImg);
        sb.append(", printEffective=").append(printEffective);
        sb.append(", printIsImg=").append(printIsImg);
        sb.append("]");
        return sb.toString();
    }
}